#
# spec file for package php5-pear-phpunit-DbUnit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-phpunit-DbUnit
%define pear_name  DbUnit
%define pear_sname dbunit
Summary:        DbUnit port for PHP/PHPUnit to support database interaction testing
License:        BSD-3-Clause
Group:          Development/Libraries/PHP
Version:        1.3.1
Release:        2.3
Source0:        http://pear.phpunit.de/get/DbUnit-%{version}.tgz
Url:            http://pear.phpunit.de/
Requires:       php-reflection
Requires:       php-simplexml
Requires:       php5 >= 5.3.3
Requires:       php5-pdo
Requires:       php5-pear-channel-phpunit
Requires:       php5-pear-phpunit >= 3.7.0
Requires:       php5-pear-symfony2-Yaml >= 2.1.0
BuildRequires:  php-macros
BuildRequires:  php5-pear
BuildRequires:  php5-pear-channel-phpunit
BuildArch:      noarch

# Fix for renaming (package convention)
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
DbUnit port for PHP/PHPUnit to support database interaction testing.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{php_peardir}/.channels/
%{__cp} %{php_peardir}/.channels/pear.*.reg \
%{buildroot}%{php_peardir}/.channels/

%{__pear} -v \
        -d doc_dir=/%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%{_bindir}/dbunit
%doc %{_docdir}/%{pear_name}

%changelog
* Sat Jul  5 2014 gerrit.beine@gmx.de
- update to version 1.3.1
  * `CompositeDataSet` now behaves in a way consistent with its documentation
    when handling several data sets with the same table
  * Multiple corrections have been made to the BankAccountDB sample code
  * Firebird support is now included in the PEAR package distribution
  * Database connections using Dblib are now supported
  * `XmlDataSet` now emits an informative error message in the event of table
    and row column mismatches
  * Changes from 1.3.0 to address type checking of column values in `matches()`
    from `AbstractTable` and `ReplacementTable` were modified to perform loose
    type checking on numeric values and to typecast `SimpleXMLElement` values
    to strings before performing comparisons
  * `TableFilter` now overrides `assertContainsRow()` to invoke `loadData()`
    before calling the parent implementation
* Sat Nov 23 2013 gerrit.beine@gmx.de
- Fixed description
- Updated requirements
* Sat Nov 23 2013 gerrit.beine@gmx.de
- update to version 1.3.0
  * No upstream changelog
* Fri Feb  3 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  Look at the LICENSE file
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug  3 2011 opensuse@cboltz.de
- fix Requires: to use php-reflection and php-simplexml instead of php5-*
* Wed Jun 22 2011 lang@b1-systems.de
- initial attempt
- version 1.0.2
